Manage points transaction
curl --request POST \
--url https://{subdomain}.nudj.cx/api/v2/admin/users/{id}/points-transaction \
--header 'Content-Type: application/json' \
--header 'x-api-token: <api-key>' \
--data '
{
"amount": 500000.5,
"externalTransactionReference": "<string>",
"communityId": "<string>"
}
'import requests
url = "https://{subdomain}.nudj.cx/api/v2/admin/users/{id}/points-transaction"
payload = {
"amount": 500000.5,
"externalTransactionReference": "<string>",
"communityId": "<string>"
}
headers = {
"x-api-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 500000.5,
externalTransactionReference: '<string>',
communityId: '<string>'
})
};
fetch('https://{subdomain}.nudj.cx/api/v2/admin/users/{id}/points-transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"transaction": {
"id": "<string>",
"organisationId": "<string>",
"userId": "<string>",
"amount": 123,
"createdAt": "<string>",
"externalTransactionReference": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"communityId": "<string>"
}
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Users
Manage points transaction
Create a points transaction (credit or debit) for a user’s account
POST
/
users
/
{id}
/
points-transaction
Manage points transaction
Authorizations
Path Parameters
ID of the user for the points transaction, this can be the Nudj user ID or the external user ID
Body
application/json
Input for managing points transactions (credit or debit)
Number of points for the transaction
Required range:
1 <= x <= 1000000Direction of the transaction: Credit to add points, Debit to deduct points
Available options:
credit, debit Unique reference provided by the admin to track this transaction
Required string length:
1 - 200ID of the community for the transaction. Required if organization has multiple communities
Was this page helpful?
⌘I

